Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.process.workitem.rest
Enum RESTWorkItemHandler.AuthenticationType

    java.lang.Object
      java.lang.Enum<RESTWorkItemHandler.AuthenticationType>
          org.jbpm.process.workitem.rest.RESTWorkItemHandler.AuthenticationType

All Implemented Interfaces:
  Serializable, Comparable<RESTWorkItemHandler.AuthenticationType>

Enclosing class:
  RESTWorkItemHandler

    public static enum RESTWorkItemHandler.AuthenticationType

extends Enum<RESTWorkItemHandler.AuthenticationType>

Enum Constant Summary
`BASIC`
`FORM_BASED`

Method Summary
`static RESTWorkItemHandler.AuthenticationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RESTWorkItemHandler.AuthenticationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final RESTWorkItemHandler.AuthenticationType BASIC

### FORM_BASED

    public static final RESTWorkItemHandler.AuthenticationType FORM_BASED

Method Detail

### values

    public static RESTWorkItemHandler.AuthenticationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RESTWorkItemHandler.AuthenticationType c : RESTWorkItemHandler.AuthenticationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RESTWorkItemHandler.AuthenticationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.